polybori::groebner::PolyMonomialPairComparerLexLess Class Reference

This class defines PolyMonomialPairComparerLexLess. More...

`#include <PolyMonomialPairComparerLexLess.h>`

## Public Member Functions

bool | operator() (const std::pair< Polynomial, Monomial > &a, const std::pair< Polynomial, Monomial > &b)

## Public Attributes

LexOrder | o

## Detailed Description

This class defines PolyMonomialPairComparerLexLess.

## Member Function Documentation

bool polybori::groebner::PolyMonomialPairComparerLexLess::operator() | ( | const std::pair< Polynomial, Monomial > & | a,
|  | const std::pair< Polynomial, Monomial > & | b
| ) |  |

inline

References polybori::LexOrder::compare().

## Member Data Documentation

LexOrder polybori::groebner::PolyMonomialPairComparerLexLess::o

The documentation for this class was generated from the following file:

- PolyMonomialPairComparerLexLess.h